//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormMain *FormMain;
//---------------------------------------------------------------------------
__fastcall TFormMain::TFormMain(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void TFormMain::SendingMessages(AnsiString Message) //  
{
       MemoMessages->Lines->Add(Message); //   
       for(int i = 0; i < ServerSocket->Socket->ActiveConnections; i++) //   
       {
                ServerSocket->Socket->Connections[i]->SendText(Message); // 
       }
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ButtonStartClick(TObject *Sender) //  
{
        EditPort->Enabled    = false; //   
        ButtonStart->Enabled = false; //  
        ServerSocket->Port = EditPort->Text.ToInt(); //  
        ServerSocket->Active = true; // 
}
//---------------------------------------------------------------------------
void __fastcall TFormMain::ServerSocketClientRead(TObject *Sender,
      TCustomWinSocket *Socket) //  
{
        SendingMessages(Socket->ReceiveText()); //       SendingMessages()
}
//---------------------------------------------------------------------------


void __fastcall TFormMain::ButtonSendClick(TObject *Sender) //  
{
       SendingMessages(": " + EditMessage->Text); //    SendingMessages()
}
//---------------------------------------------------------------------------

void __fastcall TFormMain::FormClose(TObject *Sender, TCloseAction &Action) //  
{
        ServerSocket->Active = false; //           
}
//---------------------------------------------------------------------------

